"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DependencyTree = void 0;
const react_1 = __importStar(require("react"));
const build_depndency_tree_1 = require("./build-depndency-tree");
const dependency_drawer_1 = require("./dependency-drawer/dependency-drawer"); // TODO - find out why this explodes when I direct to index.ts
function DependencyTree({ dependenciesArray }) {
    if (!dependenciesArray)
        return null;
    const { dependencies, devDependencies, peerDependencies } = (0, react_1.useMemo)(() => (0, build_depndency_tree_1.buildDependencyTree)(dependenciesArray), [dependenciesArray]);
    const [isDependenciesOpen, toggleDependencies] = (0, react_1.useState)(true);
    const [isDevDependenciesOpen, toggleDevDependencies] = (0, react_1.useState)(true);
    const [isPeerDependenciesOpen, togglePeerDependencies] = (0, react_1.useState)(true);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(dependency_drawer_1.DependencyDrawer, { isOpen: isDependenciesOpen, onToggle: () => toggleDependencies(!isDependenciesOpen), name: "dependencies", dependencies: dependencies }),
        react_1.default.createElement(dependency_drawer_1.DependencyDrawer, { isOpen: isDevDependenciesOpen, onToggle: () => toggleDevDependencies(!isDevDependenciesOpen), name: "devDependencies", dependencies: devDependencies }),
        react_1.default.createElement(dependency_drawer_1.DependencyDrawer, { isOpen: isPeerDependenciesOpen, onToggle: () => togglePeerDependencies(!isPeerDependenciesOpen), name: "peerDependencies", dependencies: peerDependencies })));
}
exports.DependencyTree = DependencyTree;
//# sourceMappingURL=dependency-tree.js.map